# PhasicFlow: eventSubscriber Class Reference

eventSubscriber Class Reference
Inheritance diagram for eventSubscriber:
[legend]
Collaboration diagram for eventSubscriber:
[legend]

## Public Member Functions

| eventSubscriber ()
virtual | ~eventSubscriber ()
virtual bool | subscribe (eventObserver *observer) const
virtual bool | unsubscribe (eventObserver *observer) const
bool | notify (const eventMessage &msg)
bool | notify (const eventMessage &msg, const List< eventObserver * > &exclutionList)

## Protected Attributes

List< eventObserver * > | observerList_

## Detailed Description

Definition at line 34 of file eventSubscriber.hpp.

## Constructor & Destructor Documentation

## eventSubscriber()

eventSubscriber | ( |  | ) |

inline

Definition at line 43 of file eventSubscriber.hpp.

## ~eventSubscriber()

~eventSubscriber | ( |  | ) |

virtual

Definition at line 25 of file eventSubscriber.cpp.

References eventSubscriber::observerList_.

## Member Function Documentation

## subscribe()

bool subscribe | ( | eventObserver * | observer | ) | const

virtual

Definition at line 34 of file eventSubscriber.cpp.

Referenced by eventObserver::subscribe().

Here is the caller graph for this function:

## unsubscribe()

bool unsubscribe | ( | eventObserver * | observer | ) | const

virtual

Definition at line 50 of file eventSubscriber.cpp.

## notify() [1/2]

bool notify | ( | const eventMessage & | msg | ) |

Definition at line 62 of file eventSubscriber.cpp.

References eventObserver::update().

Here is the call graph for this function:

## notify() [2/2]

bool notify | ( | const eventMessage & | msg,
|  | const List< eventObserver * > & | exclutionList
| ) |  |

Definition at line 76 of file eventSubscriber.cpp.

References eventObserver::update().

Here is the call graph for this function:

## Member Data Documentation

## observerList_

List<eventObserver*> observerList_

mutableprotected

Definition at line 39 of file eventSubscriber.hpp.

Referenced by eventSubscriber::~eventSubscriber().

The documentation for this class was generated from the following files:

- src/phasicFlow/eventSubscriber/eventSubscriber.hpp
- src/phasicFlow/eventSubscriber/eventSubscriber.cpp